Bug 982753 - Review Request: jaudiotagger - Java audio tagging library
Review Request: jaudiotagger - Java audio tagging library
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: gil cattaneo
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-09 15:24 EDT by Orion Poplawski
Modified: 2015-12-14 05:41 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
puntogil: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2013-07-09 15:24:10 EDT
Spec URL: http://www.cora.nwra.com/~orion/fedora/jaudiotagger.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/jaudiotagger-2.1.0-1.fc19.src.rpm

Description: 
Jaudiotagger is the Audio Tagging library used by Jaikoz for tagging data in
Audio files. It currently fully supports Mp3, Mp4 (Mp4 audio, M4a and M4p
audio) Ogg Vorbis, Flac and Wma, there is limited support for Wav and Real
formats.

Fedora Account System Username: orion
Comment 1 Orion Poplawski 2015-01-05 12:46:00 EST
* Mon Jan 5 2015 Orion Poplawski <orion@cora.nwra.com> 2.2.2-2.git9a367bf
- Update to latest git

Spec URL: http://www.cora.nwra.com/~orion/fedora/jaudiotagger.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/jaudiotagger-2.2.2-2.git9a367bf.src.rpm
Comment 3 gil cattaneo 2015-12-12 03:14:59 EST
Please, use:
find -name '*.jar' -delete for remove prebuilt libraries
change Summary:        Javadocs for %{name} in Summary:        Javadoc for %{name}
for avoid rpmlint problem
remove Requires:       jpackage-utils
install available lincese.txt file in jaudiotagger >= 2.2.4
Comment 4 Upstream Release Monitoring 2015-12-13 12:57:32 EST
orion's scratch build of jaudiotagger-2.2.5-1.el7.src.rpm for f24 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12177497
Comment 5 Orion Poplawski 2015-12-13 13:14:06 EST
Thanks.

Spec URL: http://www.cora.nwra.com/~orion/fedora/jaudiotagger.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/jaudiotagger-2.2.5-1.el7.src.rpm

* Sun Dec 13 2015 Orion Poplawski <orion@cora.nwra.com> 2.2.5-1
- Update to 2.2.5
- Review fixes
Comment 6 Upstream Release Monitoring 2015-12-13 13:16:54 EST
orion's scratch build of jaudiotagger-2.2.5-1.el7.src.rpm for f24 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12177532
Comment 7 Upstream Release Monitoring 2015-12-13 13:24:46 EST
orion's scratch build of jaudiotagger-2.2.5-1.el7.src.rpm for f24 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12177564
Comment 8 gil cattaneo 2015-12-13 13:34:22 EST
Was a problem with javadoc plugin setting,
there are two choices:
%pom_remove_plugin :maven-javadoc-plugin
(and also unusefull maven-source-plugin)
or removing
sed -i -e /-Xdoclint:none/d pom.xml
the option is valid with JDK >= 8
Comment 9 Orion Poplawski 2015-12-13 13:45:43 EST
Yeah, I was having trouble with building on different platforms.  I think it's sorted now.
Comment 10 gil cattaneo 2015-12-13 14:27:32 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "LGPL (v2.1 or later) (with incorrect FSF address)", "LGPL
     (v2.1 or later)", "Unknown or generated", "*No copyright* LGPL (v2.1
     or later)". 692 files have unknown license. Detailed output of
     licensecheck in /home/gil/982753-jaudiotagger/licensecheck.txt
     
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/Test.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/AudioHeader.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/SupportedFileFormat.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/aiff/AiffAudioHeader.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/aiff/AiffFileHeader.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/aiff/AiffFileReader.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/aiff/AiffInfoReader.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/aiff/AiffTagFieldKey.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/aiff/AiffTagReader.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/aiff/AiffType.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/aiff/AiffUtil.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/aiff/ExtDouble.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/aiff/chunk/AiffChunkReader.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/aiff/chunk/AiffCompressionType.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/aiff/chunk/AnnotationChunk.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/aiff/chunk/ApplicationChunk.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/aiff/chunk/AuthorChunk.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/aiff/chunk/ChunkType.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/aiff/chunk/CommentsChunk.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/aiff/chunk/CommonChunk.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/aiff/chunk/CopyrightChunk.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/aiff/chunk/FormatVersionChunk.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/aiff/chunk/ID3Chunk.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/aiff/chunk/NameChunk.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/aiff/chunk/SoundChunk.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/aiff/chunk/TextChunk.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/asf/data/AsfExtendedHeader.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/asf/data/ChunkContainer.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/asf/data/ContainerType.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/asf/data/ContentBranding.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/asf/data/EncryptionChunk.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/asf/data/GUIDFormatException.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/asf/data/LanguageList.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/asf/data/MetadataContainer.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/asf/data/MetadataContainerFactory.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/asf/io/AsfExtHeaderModifier.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/asf/io/AsfExtHeaderReader.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/asf/io/AsfStreamer.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/asf/io/ChunkContainerReader.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/asf/io/ChunkModifier.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/asf/io/ChunkReader.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/asf/io/ChunkRemover.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/asf/io/ContentBrandingReader.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/asf/io/CountingInputStream.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/asf/io/CountingOutputstream.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/asf/io/FullRequestInputStream.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/asf/io/LanguageListReader.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/asf/io/MetadataReader.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/asf/io/ModificationResult.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/asf/io/RandomAccessFileInputstream.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/asf/io/RandomAccessFileOutputStream.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/asf/io/WriteableChunk.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/asf/io/WriteableChunkModifer.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/dsf/DsfAudioFileReader.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/exceptions/CannotReadVideoException.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/exceptions/InvalidAudioFrameException.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/exceptions/InvalidBoxHeaderException.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/exceptions/NullBoxIdException.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/exceptions/UnableToCreateFileException.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/exceptions/UnableToModifyFileException.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/exceptions/UnableToRenameFileException.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/flac/FlacAudioHeader.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/flac/FlacStreamReader.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/flac/metadatablock/BlockType.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/flac/metadatablock/MetadataBlockDataPicture.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/generic/TagWriter.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/iff/Chunk.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/iff/ChunkHeader.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/iff/IffHeaderChunk.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/mp3/ByteArrayMP3AudioHeader.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/mp3/MP3FileReader.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/mp3/MP3FileWriter.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/mp3/MPEGFrameHeader.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/mp3/VbriFrame.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/mp3/XingFrame.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/mp4/EncoderType.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/mp4/Mp4AtomIdentifier.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/mp4/Mp4AtomTree.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/mp4/Mp4AudioHeader.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/mp4/atom/AbstractMp4Box.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/mp4/atom/Mp4AlacBox.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/mp4/atom/Mp4DrmsBox.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/mp4/atom/Mp4EsdsBox.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/mp4/atom/Mp4FreeBox.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/mp4/atom/Mp4FtypBox.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/mp4/atom/Mp4HdlrBox.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/mp4/atom/Mp4MdhdBox.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/mp4/atom/Mp4MetaBox.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/mp4/atom/Mp4Mp4aBox.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/mp4/atom/Mp4StcoBox.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/mp4/atom/Mp4StsdBox.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/mp4/atom/NullPadding.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/ogg/VorbisVersion.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/ogg/util/VorbisHeader.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/ogg/util/VorbisPacketType.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/ogg/util/VorbisSetupHeader.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/real/RealChunk.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/real/RealFileReader.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/real/RealTag.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/wav/WavChunkType.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/wav/WavOptions.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/wav/WavSaveOptions.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/wav/WavSubFormat.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/wav/chunk/WavId3Chunk.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/wav/chunk/WavInfoChunk.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/wav/chunk/WavInfoIdentifier.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/logging/ErrorMessage.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/logging/FileSystemMessage.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/logging/Hex.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/logging/LogFormatter.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/FieldDataInvalidException.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/FieldKey.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/KeyNotFoundException.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/TagException.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/aiff/AiffTag.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/aiff/AiffTagFieldKey.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/asf/AbstractAsfTagImageField.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/asf/AsfFieldKey.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/asf/AsfTag.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/asf/AsfTagBannerField.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/asf/AsfTagCoverField.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/asf/AsfTagTextField.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/datatype/MultipleTextEncodedStringNullTerminated.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/datatype/Pair.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/datatype/PairedTextEncodedStringNullTerminated.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/datatype/PartOfSet.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/datatype/TCONString.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/datatype/TextEncodedStringNullTerminated.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/datatype/TextEncodedStringSizeTerminated.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/flac/FlacTag.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/id3/AggregatedFrame.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/id3/ID3Compression.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/id3/ID3SyncSafeInteger.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/id3/ID3TextEncodingConversion.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/id3/ID3Unsynchronization.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/id3/ID3v1FieldKey.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/id3/ID3v1TagField.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/id3/ID3v22FieldKey.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/id3/ID3v22PreferredFrameOrderComparator.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/id3/ID3v23FieldKey.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/id3/ID3v23PreferredFrameOrderComparator.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/id3/ID3v24FieldKey.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/id3/ID3v24PreferredFrameOrderComparator.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/id3/Id3FieldType.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/id3/TyerTdatAggregatedFrame.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/id3/framebody/FrameBodyDeprecated.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/id3/framebody/FrameBodyTCMP.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/id3/framebody/FrameBodyTSO2.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/id3/framebody/FrameBodyTSOC.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/id3/framebody/FrameBodyXSOA.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/id3/framebody/FrameBodyXSOP.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/id3/framebody/FrameBodyXSOT.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/id3/reference/ID3Rating.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/id3/reference/ITunesRating.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/id3/reference/MediaMonkeyPlayerRating.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/id3/reference/MediaPlayerRating.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/id3/valuepair/ID3V2ExtendedGenreTypes.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/id3/valuepair/SynchronisedLyricsContentType.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/id3/valuepair/V2GenreTypes.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/images/AndroidArtwork.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/images/AndroidImageHandler.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/images/Artwork.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/images/ArtworkFactory.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/images/ImageHandler.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/images/ImageHandlingFactory.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/images/Images.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/images/StandardArtwork.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/images/StandardImageHandler.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/mp4/Mp4FieldKey.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/mp4/Mp4NonStandardFieldKey.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/mp4/Mp4TagFieldSubType.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/mp4/atom/Mp4ContentTypeValue.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/mp4/atom/Mp4DataBox.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/mp4/atom/Mp4MeanBox.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/mp4/atom/Mp4NameBox.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/mp4/atom/Mp4RatingValue.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/mp4/field/Mp4DiscNoField.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/mp4/field/Mp4FieldType.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/mp4/field/Mp4GenreField.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/mp4/field/Mp4TagByteField.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/mp4/field/Mp4TagRawBinaryField.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/mp4/field/Mp4TagReverseDnsField.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/mp4/field/Mp4TrackField.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/options/PadNumberOption.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/reference/ID3V2Version.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/reference/ISOCountry.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/reference/ISOScript.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/reference/MusicalKey.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/reference/Tagger.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/vorbiscomment/VorbisCommentFieldKey.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/vorbiscomment/util/Base64Coder.javal
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/test/ExtractID3TagFromFile.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/test/MergeID3AndMP3Files.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/utils/EqualsUtil.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/utils/FileTypeUtil.java

[!]: License file installed when any subpackage combination is installed.
[!]: Package contains no bundled libraries without FPC exception.

javax.swing.event.EventListenerList
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/utils/tree/EventListenerList.java

javax.swing.tree
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/utils/tree/DefaultMutableTreeNode.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/utils/tree/DefaultTreeModel.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/utils/tree/MutableTreeNode.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/utils/tree/TreeModel.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/utils/tree/TreeModelEvent.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/utils/tree/TreeModelListener.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/utils/tree/TreeNode.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/utils/tree/TreePath.java

[x]: Changelog in prescribed format.
[?]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[ ]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It
     is pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including metadata) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use .mfiles file list instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     jaudiotagger-javadoc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: jaudiotagger-2.2.5-1.fc24.noarch.rpm
          jaudiotagger-javadoc-2.2.5-1.fc24.noarch.rpm
          jaudiotagger-2.2.5-1.fc24.src.rpm
jaudiotagger.noarch: E: incorrect-fsf-address /usr/share/licenses/jaudiotagger/license.txt
jaudiotagger.src:2: W: macro-in-comment %{commit}
jaudiotagger.src: E: specfile-error warning: Macro expanded in comment on line 2: #global shortcommit %(c=%{commit}; echo ${c:0:7})
jaudiotagger.src: E: specfile-error 
jaudiotagger.src: E: specfile-error warning: Macro expanded in comment on line 2: #global shortcommit %(c=%{commit}; echo ${c:0:7})
3 packages and 0 specfiles checked; 4 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: File o directory non esistente
jaudiotagger.noarch: E: incorrect-fsf-address /usr/share/licenses/jaudiotagger/license.txt
2 packages and 0 specfiles checked; 1 errors, 0 warnings.



Requires
--------
jaudiotagger (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils

jaudiotagger-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils



Provides
--------
jaudiotagger:
    jaudiotagger
    mvn(net.jthink:jaudiotagger)
    mvn(net.jthink:jaudiotagger:pom:)

jaudiotagger-javadoc:
    jaudiotagger-javadoc



Source checksums
----------------
https://bitbucket.org/ijabz/jaudiotagger/get/v2.2.5.tar.gz#/jaudiotagger-2.2.5.tar.gz :
  CHECKSUM(SHA256) this package     : 3059a7174ea258a7e14c11698a438a2ba9de5912f090bf4cf0bcffa4f7ce00d0
  CHECKSUM(SHA256) upstream package : 3059a7174ea258a7e14c11698a438a2ba9de5912f090bf4cf0bcffa4f7ce00d0


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 982753 --plugins Java -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 11 gil cattaneo 2015-12-13 14:32:52 EST
Issues:

[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "LGPL (v2.1 or later) (with incorrect FSF address)", "LGPL
     (v2.1 or later)", "Unknown or generated", "*No copyright* LGPL (v2.1
     or later)". 692 files have unknown license. Detailed output of
     licensecheck in /home/gil/982753-jaudiotagger/licensecheck.txt
     
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/Test.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/AudioHeader.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/SupportedFileFormat.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/aiff/AiffAudioHeader.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/aiff/AiffFileHeader.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/aiff/AiffFileReader.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/aiff/AiffInfoReader.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/aiff/AiffTagFieldKey.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/aiff/AiffTagReader.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/aiff/AiffType.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/aiff/AiffUtil.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/aiff/ExtDouble.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/aiff/chunk/AiffChunkReader.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/aiff/chunk/AiffCompressionType.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/aiff/chunk/AnnotationChunk.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/aiff/chunk/ApplicationChunk.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/aiff/chunk/AuthorChunk.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/aiff/chunk/ChunkType.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/aiff/chunk/CommentsChunk.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/aiff/chunk/CommonChunk.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/aiff/chunk/CopyrightChunk.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/aiff/chunk/FormatVersionChunk.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/aiff/chunk/ID3Chunk.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/aiff/chunk/NameChunk.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/aiff/chunk/SoundChunk.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/aiff/chunk/TextChunk.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/asf/data/AsfExtendedHeader.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/asf/data/ChunkContainer.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/asf/data/ContainerType.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/asf/data/ContentBranding.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/asf/data/EncryptionChunk.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/asf/data/GUIDFormatException.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/asf/data/LanguageList.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/asf/data/MetadataContainer.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/asf/data/MetadataContainerFactory.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/asf/io/AsfExtHeaderModifier.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/asf/io/AsfExtHeaderReader.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/asf/io/AsfStreamer.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/asf/io/ChunkContainerReader.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/asf/io/ChunkModifier.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/asf/io/ChunkReader.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/asf/io/ChunkRemover.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/asf/io/ContentBrandingReader.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/asf/io/CountingInputStream.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/asf/io/CountingOutputstream.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/asf/io/FullRequestInputStream.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/asf/io/LanguageListReader.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/asf/io/MetadataReader.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/asf/io/ModificationResult.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/asf/io/RandomAccessFileInputstream.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/asf/io/RandomAccessFileOutputStream.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/asf/io/WriteableChunk.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/asf/io/WriteableChunkModifer.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/dsf/DsfAudioFileReader.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/exceptions/CannotReadVideoException.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/exceptions/InvalidAudioFrameException.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/exceptions/InvalidBoxHeaderException.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/exceptions/NullBoxIdException.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/exceptions/UnableToCreateFileException.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/exceptions/UnableToModifyFileException.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/exceptions/UnableToRenameFileException.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/flac/FlacAudioHeader.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/flac/FlacStreamReader.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/flac/metadatablock/BlockType.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/flac/metadatablock/MetadataBlockDataPicture.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/generic/TagWriter.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/iff/Chunk.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/iff/ChunkHeader.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/iff/IffHeaderChunk.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/mp3/ByteArrayMP3AudioHeader.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/mp3/MP3FileReader.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/mp3/MP3FileWriter.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/mp3/MPEGFrameHeader.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/mp3/VbriFrame.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/mp3/XingFrame.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/mp4/EncoderType.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/mp4/Mp4AtomIdentifier.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/mp4/Mp4AtomTree.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/mp4/Mp4AudioHeader.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/mp4/atom/AbstractMp4Box.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/mp4/atom/Mp4AlacBox.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/mp4/atom/Mp4DrmsBox.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/mp4/atom/Mp4EsdsBox.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/mp4/atom/Mp4FreeBox.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/mp4/atom/Mp4FtypBox.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/mp4/atom/Mp4HdlrBox.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/mp4/atom/Mp4MdhdBox.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/mp4/atom/Mp4MetaBox.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/mp4/atom/Mp4Mp4aBox.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/mp4/atom/Mp4StcoBox.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/mp4/atom/Mp4StsdBox.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/mp4/atom/NullPadding.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/ogg/VorbisVersion.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/ogg/util/VorbisHeader.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/ogg/util/VorbisPacketType.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/ogg/util/VorbisSetupHeader.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/real/RealChunk.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/real/RealFileReader.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/real/RealTag.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/wav/WavChunkType.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/wav/WavOptions.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/wav/WavSaveOptions.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/wav/WavSubFormat.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/wav/chunk/WavId3Chunk.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/wav/chunk/WavInfoChunk.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/audio/wav/chunk/WavInfoIdentifier.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/logging/ErrorMessage.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/logging/FileSystemMessage.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/logging/Hex.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/logging/LogFormatter.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/FieldDataInvalidException.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/FieldKey.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/KeyNotFoundException.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/TagException.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/aiff/AiffTag.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/aiff/AiffTagFieldKey.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/asf/AbstractAsfTagImageField.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/asf/AsfFieldKey.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/asf/AsfTag.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/asf/AsfTagBannerField.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/asf/AsfTagCoverField.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/asf/AsfTagTextField.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/datatype/MultipleTextEncodedStringNullTerminated.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/datatype/Pair.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/datatype/PairedTextEncodedStringNullTerminated.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/datatype/PartOfSet.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/datatype/TCONString.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/datatype/TextEncodedStringNullTerminated.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/datatype/TextEncodedStringSizeTerminated.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/flac/FlacTag.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/id3/AggregatedFrame.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/id3/ID3Compression.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/id3/ID3SyncSafeInteger.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/id3/ID3TextEncodingConversion.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/id3/ID3Unsynchronization.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/id3/ID3v1FieldKey.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/id3/ID3v1TagField.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/id3/ID3v22FieldKey.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/id3/ID3v22PreferredFrameOrderComparator.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/id3/ID3v23FieldKey.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/id3/ID3v23PreferredFrameOrderComparator.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/id3/ID3v24FieldKey.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/id3/ID3v24PreferredFrameOrderComparator.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/id3/Id3FieldType.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/id3/TyerTdatAggregatedFrame.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/id3/framebody/FrameBodyDeprecated.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/id3/framebody/FrameBodyTCMP.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/id3/framebody/FrameBodyTSO2.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/id3/framebody/FrameBodyTSOC.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/id3/framebody/FrameBodyXSOA.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/id3/framebody/FrameBodyXSOP.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/id3/framebody/FrameBodyXSOT.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/id3/reference/ID3Rating.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/id3/reference/ITunesRating.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/id3/reference/MediaMonkeyPlayerRating.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/id3/reference/MediaPlayerRating.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/id3/valuepair/ID3V2ExtendedGenreTypes.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/id3/valuepair/SynchronisedLyricsContentType.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/id3/valuepair/V2GenreTypes.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/images/AndroidArtwork.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/images/AndroidImageHandler.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/images/Artwork.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/images/ArtworkFactory.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/images/ImageHandler.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/images/ImageHandlingFactory.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/images/Images.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/images/StandardArtwork.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/images/StandardImageHandler.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/mp4/Mp4FieldKey.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/mp4/Mp4NonStandardFieldKey.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/mp4/Mp4TagFieldSubType.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/mp4/atom/Mp4ContentTypeValue.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/mp4/atom/Mp4DataBox.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/mp4/atom/Mp4MeanBox.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/mp4/atom/Mp4NameBox.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/mp4/atom/Mp4RatingValue.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/mp4/field/Mp4DiscNoField.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/mp4/field/Mp4FieldType.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/mp4/field/Mp4GenreField.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/mp4/field/Mp4TagByteField.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/mp4/field/Mp4TagRawBinaryField.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/mp4/field/Mp4TagReverseDnsField.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/mp4/field/Mp4TrackField.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/options/PadNumberOption.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/reference/ID3V2Version.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/reference/ISOCountry.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/reference/ISOScript.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/reference/MusicalKey.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/reference/Tagger.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/vorbiscomment/VorbisCommentFieldKey.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/tag/vorbiscomment/util/Base64Coder.javal
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/test/ExtractID3TagFromFile.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/test/MergeID3AndMP3Files.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/utils/EqualsUtil.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/utils/FileTypeUtil.java

Please, report to upstream
https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#License_Clarification

[!]: License file installed when any subpackage combination is installed.

Please, add license file also in javadoc sub package

[!]: Package contains no bundled libraries without FPC exception.

javax.swing.event.EventListenerList
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/utils/tree/EventListenerList.java

javax.swing.tree
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/utils/tree/DefaultMutableTreeNode.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/utils/tree/DefaultTreeModel.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/utils/tree/MutableTreeNode.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/utils/tree/TreeModel.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/utils/tree/TreeModelEvent.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/utils/tree/TreeModelListener.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/utils/tree/TreeNode.java
ijabz-jaudiotagger-6e29a88e7964/src/org/jaudiotagger/utils/tree/TreePath.java

These file are part of JRE.
Please, remove or use  Provides:       bundle(foo)

jaudiotagger.noarch: E: incorrect-fsf-address /usr/share/licenses/jaudiotagger/license.txt
https://fedoraproject.org/wiki/Common_Rpmlint_issues#incorrect-fsf-address
Comment 12 gil cattaneo 2015-12-13 14:34:47 EST
EventListenerList.java provides two methods unavailable on JRE stuff
Comment 14 Orion Poplawski 2015-12-13 20:26:18 EST
License report https://bitbucket.org/ijabz/jaudiotagger/issues/111/license-clarification
Comment 15 gil cattaneo 2015-12-14 03:36:19 EST
thanks for your work and for your patience
Comment 16 Upstream Release Monitoring 2015-12-14 05:41:02 EST
jerboaa's scratch build of java-1.8.0-openjdk?#d28765c33d068af9ff432a92443b93beeef88a22 for git://pkgs.fedoraproject.org/java-1.8.0-openjdk?#d28765c33d068af9ff432a92443b93beeef88a22 and rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12181621

Note You need to log in before you can comment on or make changes to this bug.